Linux 如何在 cloudfoundry 部署使用 rmagick2.13.1 的项目?

congteng · 2011年12月08日 · 最后由 huacnlee 回复于 2012年02月04日 · 2732 次阅读

Cloud Foundry Knowledge Base http://www.imagemagick.org/script/index.php 中写到

rmagick gem (current at rmagick-2.13.1) is not supported OOtB
Gems that don’t work - rmagick gem (current at rmagick-2.13.1) is not supported out of the box.  Rmagick requires http://www.imagemagick.org/script/index.php native library to be installed.```

有人知道怎么解决这个问题吗?  

最后由 匿名 于 29 分钟前回复 , 5 次阅读 还可以匿名回复?

ImageMagick 和 RMagick 的版本要对应上。 注意: ImageMagick 是一个独立软件包,而 RMagick 是个 Gem 关于版本的对应要看 RMagick 的说明,这个你找找看。

此外,这个问题和 CloudFoundry 没有关系,而是你系统没有安装 ImageMagick

需要 登录 后方可回复, 如果你还没有账号请 注册新账号